Bug 1126195 - [Cloud Init] Authentication and Custom Script configuration existing in DB is missing in GUI
Summary: [Cloud Init] Authentication and Custom Script configuration existing in DB is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 12:26 UTC by GenadiC
Modified: 2016-02-10 19:51 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:28:12 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31382 master MERGED ui: redundant call to vminit when initializing vms template Never
oVirt gerrit 31600 ovirt-engine-3.5 MERGED ui: redundant call to vminit when initializing vms template Never

Description GenadiC 2014-08-03 12:26:19 UTC
Description of problem:
For Neutron Appliance VM  configured with Cloud Init Authentication or Custom script, the configuration is updated in DB when configured but is missing in GUI


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Edit VM with Neutron Appliance
2. Configure Authentication or Custom script
3. Push ok button
4. Try to edit it again and check your Cloud Init configuration

Actual results:
The fields for Authentication and Custom script are empty in GUI

Expected results:
The feilds should exist in GUI

Additional info:

Trying the same test for regualr VM (not Neutron appliance) shows all fields as it should

Comment 1 Michal Skrivanek 2014-08-06 09:23:21 UTC
how could this be any different?

Comment 2 Pavel Novotny 2014-09-02 10:39:27 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch (rc1.1).

Verification steps:
1. Create new VM, with Cloud-Init enabled and set user name, password and custom script.
  a) from a Blank template
  b) from a custom template
2. Edit the VM(s) and check information in CLoud-Init section

Results:
The user name, password and custom script are saved and loaded in GUI (except the password of course, which is not displayed in plain view - security).

Comment 3 Sandro Bonazzola 2014-10-17 12:28:12 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.